{
    "path": "$OET_PATH/testcases/function_test/pkg_test/audiofile/audiofile",
    "machine num": 1,
    "cases": [
        {
            "name": "test_audiofile_function_uninstall",
            "desc": "Test the uninstallation of the audiofile package"
        },
        {
            "name": "test_audiofile_function_install",
            "desc": "Test the installation of the audiofile package"
        },
        {
            "name": "test_audiofile_function_metadata",
            "desc": "Test displaying audio file metadata"
        },
        {
            "name": "test_audiofile_sfconvert_infile_outfile_format_smp",
            "desc": "将输入音频文件转换为格式为smp的输出文件"
        },
        {
            "name": "test_audiofile_sfinfo_version",
            "desc": "测试sfinfo命令的版本信息显示"
        },
        {
            "name": "test_audiofile_sfinfo_default",
            "desc": "测试sfinfo命令在不带任何参数时的默认行为"
        },
        {
            "name": "test_audiofile_sfconvert_format_nist",
            "desc": "使用sfconvert命令指定输出文件格式为nist"
        },
        {
            "name": "test_audiofile_sfconvert_compression_ulaw",
            "desc": "使用sfconvert命令指定压缩格式为ulaw"
        },
        {
            "name": "test_audiofile_sfconvert_compression_ima",
            "desc": "使用sfconvert命令指定压缩格式为ima"
        },
        {
            "name": "test_audiofile_sfconvert_channels_2",
            "desc": "使用sfconvert命令指定声道数为2"
        },
        {
            "name": "test_audiofile_sfinfo_s",
            "desc": "测试sfinfo命令的-s参数，用于以短格式打印信息"
        },
        {
            "name": "test_audiofile_sfinfo_soundfile",
            "desc": "测试sfinfo命令的基本功能，即仅指定一个声音文件"
        },
        {
            "name": "test_audiofile_sfinfo_help",
            "desc": "Display help information for sfinfo command"
        },
        {
            "name": "test_audiofile_sfconvert_infile_outfile",
            "desc": "基本转换：将输入文件转换为输出文件，不指定任何额外参数"
        },
        {
            "name": "test_audiofile_sfinfo_reporterror_version",
            "desc": "测试sfinfo命令同时使用错误报告选项-r和版本选项-v"
        },
        {
            "name": "test_audiofile_sfinfo_reporterror_help_version",
            "desc": "测试sfinfo命令同时使用错误报告选项-r、帮助选项-h和版本选项-v"
        },
        {
            "name": "test_audiofile_sfconvert_format_aifc",
            "desc": "指定输出文件格式为AIFF-C File Format"
        },
        {
            "name": "test_audiofile_sfconvert_integer_8_unsigned",
            "desc": "指定输出为8位无符号整型数据"
        },
        {
            "name": "test_audiofile_sfinfo__s",
            "desc": "测试sfinfo命令的-s参数，用于以简短格式打印音频文件信息"
        },
        {
            "name": "test_audiofile_sfinfo__r",
            "desc": "测试sfinfo命令的-r参数，用于在读取音频文件时报告错误"
        },
        {
            "name": "test_audiofile_function_install_check",
            "desc": "检查audiofile软件包是否已安装"
        },
        {
            "name": "test_audiofile_function_convert_channels",
            "desc": "测试指定声道数的转换"
        }
    ]
}